Ulsav Docs

Registration

GET
/api/v1/events/{event_id}/checkout-requirements

Path Parameters

event_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
account*
fields*array<>|null
formVersion*integer
Formatint64
missingAccountFields*array<string>|null
Example Request
curl -X GET 'https://example.com/api/v1/events/string/checkout-requirements'
Example Response
{  "$schema": "https://example.com/schemas/Requirements.json",  "account": {    "dateOfBirth": "string",    "displayName": "string",    "email": "string",    "gender": "string",    "phone": "string"  },  "fields": [    {      "caption": "string",      "eventId": "string",      "fieldType": "string",      "id": "string",      "key": "string",      "label": "string",      "max": 0,      "min": 0,      "options": [        "string"      ],      "position": 0,      "required": true,      "scope": "string",      "timing": "string"    }  ],  "formVersion": 0,  "missingAccountFields": [    "string"  ]}
GET
/api/v1/organizations/{organization_id}/events/{event_id}/registration-config

Path Parameters

organization_id*string
event_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
config*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/events/string/registration-config'
Example Response
{  "$schema": "https://example.com/schemas/ConfigOutputBody.json",  "config": {    "eventId": "string",    "fields": [      {        "caption": "string",        "eventId": "string",        "fieldType": "string",        "id": "string",        "key": "string",        "label": "string",        "max": 0,        "min": 0,        "options": [          "string"        ],        "position": 0,        "required": true,        "scope": "string",        "timing": "string"      }    ],    "formVersion": 0,    "organizationId": "string",    "requiredAccountFields": [      "string"    ]  }}
PUT
/api/v1/organizations/{organization_id}/events/{event_id}/registration-config

Path Parameters

organization_id*string
event_id*string

Request Body

application/json
  1. body
fields?array<>|null
requiredAccountFields?array<string>|null

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
config*
Example Request
curl -X PUT 'https://example.com/api/v1/organizations/string/events/string/registration-config' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/ConfigOutputBody.json",  "config": {    "eventId": "string",    "fields": [      {        "caption": "string",        "eventId": "string",        "fieldType": "string",        "id": "string",        "key": "string",        "label": "string",        "max": 0,        "min": 0,        "options": [          "string"        ],        "position": 0,        "required": true,        "scope": "string",        "timing": "string"      }    ],    "formVersion": 0,    "organizationId": "string",    "requiredAccountFields": [      "string"    ]  }}